**Full name**: projects.locations.batchPredictionJobs.list

Lists BatchPredictionJobs in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/batchPredictionJobs`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location to list the BatchPredictionJobs from. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` The standard list filter.

Supported fields:

- `displayName` supports `=`, `!=` comparisons, and `:` wildcard.
- `modelDisplayName` supports `=`, `!=` comparisons.
- `state` supports `=`, `!=` comparisons.
- `createTime` supports `=`, `!=`,`<`, `<=`,`>`, `>=` comparisons. `createTime` must be in RFC 3339 format.
- `labels` supports general map functions that is: `labels.key=value` - key:value equality \`labels.key:\* - key existence

Some examples of using the filter are:

- `state="JOB_STATE_SUCCEEDED" AND displayName:"my_job_*"`
- `state!="JOB_STATE_FAILED" OR displayName="my_job"`
- `NOT displayName="my_job"`
- `createTime>"2021-05-18T00:00:00Z"`
- `labels.keyA=valueA`
- `labels.keyB:*`
`pageSize` `integer` The standard list page size.
`pageToken` `string` The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs/list#body.ListBatchPredictionJobsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs/list#google.cloud.aiplatform.v1.JobService.ListBatchPredictionJobs` call.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs/list#google.cloud.aiplatform.v1.JobService.ListBatchPredictionJobs`

If successful, the response body contains data with the following structure:
Fields `batchPredictionJobs[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs#BatchPredictionJob`)`` List of BatchPredictionJobs in the requested page.
`nextPageToken` `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs/list#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "batchPredictionJobs": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.batchPredictionJobs#BatchPredictionJob`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.batchPredictionJobs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).